Bug 1086776 - CVE-2014-0150 xen: qemu: virtio-net: buffer overflow in virtio_net_handle_mac() function [fedora-all]
Summary: CVE-2014-0150 xen: qemu: virtio-net: buffer overflow in virtio_net_handle_mac...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 20
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=amitshah
Depends On:
Blocks: CVE-2014-0150
TreeView+ depends on / blocked
 
Reported: 2014-04-11 13:01 UTC by Petr Matousek
Modified: 2014-12-12 04:01 UTC (History)
7 users (show)

Fixed In Version: xen-4.4.1-9.fc21
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-01 19:00:57 UTC
Type: ---


Attachments (Terms of Use)

Description Petr Matousek 2014-04-11 13:01:36 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Petr Matousek 2014-04-11 13:01:47 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1078846,1086776

Comment 2 Michael Tokarev 2014-04-19 08:08:48 UTC
Does this issue really affects Xen?  As far as I understand, Xen does not use virtio devices.

Comment 3 Amit Shah 2014-11-01 07:08:37 UTC
The xen package doesn't actually contain qemu sources.  Wondering why xen needs to be updated at all.

Comment 4 Petr Matousek 2014-11-01 10:50:14 UTC
(In reply to Michael Tokarev from comment #2)
> Does this issue really affects Xen?  As far as I understand, Xen does not
> use virtio devices.

I know there has been some effort to support virtio under Xen. It's most probably not in mainline, but I haven't checked what's supported in Fedora's Xen. This is just a bugzilla entry and can be easily closed as NOTABUG.

(In reply to Amit Shah from comment #3)
> The xen package doesn't actually contain qemu sources.

It does.

Comment 5 Amit Shah 2014-11-01 11:35:01 UTC
(In reply to Petr Matousek from comment #4)
> (In reply to Amit Shah from comment #3)
> > The xen package doesn't actually contain qemu sources.
> 
> It does.

Ah; the F20 version does.  rawhide does not (uses system qemu).

Comment 6 Michael Young 2014-11-03 22:41:06 UTC
The xen source has two versions of qemu "traditional" and "upstream". We build the "traditional" version in all current Fedora versions, and it does seem to have the bug, however I don't think you can use the affected code from within xen. xen in F21+ allows the use of Fedora's qemu as well and uses it by default.

Comment 7 Fedora Update System 2014-11-18 23:51:03 UTC
xen-4.4.1-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xen-4.4.1-7.fc21

Comment 8 Fedora Update System 2014-11-19 03:07:46 UTC
Package xen-4.4.1-7.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xen-4.4.1-7.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15328/xen-4.4.1-7.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-11-19 20:07:15 UTC
xen-4.3.3-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xen-4.3.3-4.fc20

Comment 10 Fedora Update System 2014-11-19 21:36:51 UTC
xen-4.2.5-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xen-4.2.5-4.fc19

Comment 11 Fedora Update System 2014-11-20 21:40:39 UTC
xen-4.4.1-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xen-4.4.1-8.fc21

Comment 12 Fedora Update System 2014-11-20 22:41:47 UTC
xen-4.3.3-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xen-4.3.3-5.fc20

Comment 13 Fedora Update System 2014-11-20 23:33:43 UTC
xen-4.2.5-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xen-4.2.5-5.fc19

Comment 14 Fedora Update System 2014-11-27 22:36:02 UTC
xen-4.4.1-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xen-4.4.1-9.fc21

Comment 15 Fedora Update System 2014-12-01 19:00:57 UTC
xen-4.2.5-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-12-01 19:01:23 UTC
xen-4.3.3-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-12-12 04:01:52 UTC
xen-4.4.1-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.